@REM Run this batch file at the top of BSP directory. (PLATFORM\SMDKxxxx)

@echo off
echo + BSP cleaning

echo   + Removing "obj" directories..
for /f %%x in ('dir /ad /s /b obj') do rmdir /s /q %%x
echo   - Removing "obj" directories..

echo   + Removing the "target" directory..
rmdir /s /q target
echo   - Removing the "target" directory..

echo   + Removing the "lib" directory..
rmdir /s /q lib
echo   - Removing the "lib" directory..

echo   + Removing build intermediate files..
del build.dat
del /s build.log build.wrn build.err
echo   - Removing build intermediate files..

echo   + Removing backup files..
del /s *.bak
echo   - Removing backup files..

echo - BSP cleaning
@echo on
